# Uses of Interface
org.apache.solr.common.util.DataEntry.EntryListener

Packages that use DataEntry.EntryListener
Package
Description
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of DataEntry.EntryListener in org.apache.solr.common.util

Methods in org.apache.solr.common.util that return DataEntry.EntryListener
Modifier and Type
Method
Description
`static DataEntry.EntryListener`
FastJavaBinDecoder.`getEntryListener()`
Methods in org.apache.solr.common.util with parameters of type DataEntry.EntryListener
Modifier and Type
Method
Description
`Object`
DataEntry.FastDecoder.`decode(DataEntry.EntryListener iterListener)`
`Object`
FastJavaBinDecoder.`decode(DataEntry.EntryListener listener)`
`void`
DataEntry.`listenContainer(Object ctx, DataEntry.EntryListener listener)`
Register a listener to get callbacks for all entries
`void`
FastJavaBinDecoder.EntryImpl.`listenContainer(Object ctx, DataEntry.EntryListener listener)`